Subject: Re: Bug in iproute2 man page (or in iproute itself)

From: Stephen Hemminger <[email-masked]>
Date: Fri, 24 Jul 2020 08:35:40 -0700

On Fri, 24 Jul 2020 15:45:20 +0300
George Shuklin <[email-masked]> wrote:

> Hello.
> 
> I'm writing Ansible module for iproute, and I found some discrepancies 
> between man page and actual behavior for ip link add type bridge.
> 
> man page said:
> 
> hello_time HELLO_TIME - set the time in seconds between hello packets 
> sent by the bridge, when it is a root bridge or a designated bridges.  
> Only relevant if STP
> is enabled. Valid values are between 1 and 10.
> 
> max_age MAX_AGE - set the hello packet timeout, ie the time in seconds 
> until another bridge in the spanning tree is assumed to be dead, after 
> reception of its
> last hello message. Only relevant if STP is enabled. Valid values are 
> between 6 and 40.
> 
> In reality 'ip link add type bridge' requires hello_time to be at least 
> 100, and max_age to be at least 600. I suspect there is a missing x100 
> multiplier, either in docs, or in the code.
> 
> (I'm not sure where I should send bugreports for iproute2).
> 

Good catch all the time related values in netlink API should be
scaled by the user hz value (which is 100).